body.modal-open {
    overflow: visible;
}

.roomChaticon {
    font-size: 16px;
    color: #ff6e00;
    padding-right: 6px;
}

.lgnBtn {
    text-align: end;
}

.regTab {
    margin-top: 10px;
    padding: 5px 27px 7px;
    background: #ff6e00;
    border: none;
    color: #fff;
}

.btnLoginpopup {
    background: #ff6e00;
    color: #fff;
    border: none;
    padding: 0px 10px 4px;
    font-size: 17px;
    border-radius: 0px;
}

.titleMainBox .container .titleNameBox {
    width: 100%;
    float: left;
    height: auto;
    color: #ff6e00;
    text-align: center;
}

.titleMainBox .container .titleNameBox ul {
    width: auto;
    float: none;
    display: inline-block;
    height: auto;
    list-style: none;
    margin: 0;
    padding: 0;
}

.titleMainBox .container .titleNameBox ul li {
    width: auto;
    float: left;
    height: auto;
    position: relative;
    padding: 0 0 0 30px;

    color: #ff6e00;
    font-size: 13px;
}

.titleMainBox .container .titleNameBox ul li a {
    display: block;

    color: #ff6e00;
    font-size: 13px;
}

.titleMainBox .container .titleNameBox ul li::before {
    content: "";
    width: 6px;
    height: 6px;
    background: #ff6e00;
    display: block;
    position: absolute;
    left: 10px;
    top: 6px;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

.titleMainBox {
  width: 100%;
  float: left;
  height: 90px;
  background-color: #fcf3f3;
  position: relative;
  /* margin-top: 109px; */
}

.dsname {
    font-size: 30px;
}

body.modal-open {
    overflow: hidden;
    position: fixed;
}

.modal-backdrop.in {
    opacity: 0.9;
    -webkit-filter: blur(2px) grayscale(12%);
}

.titleMainBox .container .titleNameBox ul li:first-child::before {
    display: none;
}

.bookRoombtn {
    float: right;
    margin: inherit;
    width: auto;
    height: auto;
    border: 1px solid #ff6e00;
    background: #fff;

    font-size: 14px;
    color: #ff6e00;
    border-radius: 5px;
    padding: 8px 35px;
    text-align: center;
    line-height: 22px;
    font-weight: 400;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.bookRoombtn:hover {
    background: #ff6e00;
    color: #fff;
}

.ui-widget-content {
    border: none;
}

.colorChange {
    color: #fff !important;
}

.moreRoomBox {
    border-bottom: solid 1px #ebebeb;
}

/* .detailsMainBox .roomMainBox {
  width: 100%;
  float: left;
  height: auto;
  margin: 0 0 10px 0;
} */

.RoomLink {
    color: #ff6e00;
}

.RoomLink:hover {
    color: #a18355;
}

.selectDropBox .htmlSelect {
    display: inline-block;
    text-align: left;
    width: 100%;
    float: none;
    position: relative;
}

.ui-state-default .ui-icon {
    background-image: url(../apptha_reservation/css/ui-lightness/images/ui-icons_ffffff_256x240.png);
}

.ui-widget-content.ProductDetailsPopupBox .ui-widget-header {
    background: #ff6e00;
}

.BookingAvailabilityAlert .ui-dialog-titlebar {
    padding: 10px;
    position: relative;
    background: #953561;
    border: none;
    font-weight: 500;
}

.ui-widget-content.ProductDetailsPopupBox .ui-widget-header .ui-dialog-title {
    font-weight: 500;
}

.BookingAvailabilityAlert .ui-dialog-buttonpane {
    margin-top: 0px;
    padding: 0px;
    background: white;
    border-top: 1px solid lightgrey;
}

.BookingAvailabilityAlert .ui-dialog-buttonpane button {
    background: #ff6e00;
    border: 1px solid #ff6e00;
    color: white;
    transition: all 0.5s;
}

.BookingAvailabilityAlert .ui-dialog-buttonpane button:hover {
    background: white;
    color: #ff6e00;
    transition: all 0.5s;
}

.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
    background: 0 0;
    border: none;
}

.ui-dialog .ui-dialog-content {
    background: #fff;
}

#check-in1 {
    background-color: #fff;
}

#check-out1 {
    background-color: #fff;
}

@media screen and (max-width: 1749px) and (min-width: 1367px) {
    .modal.in .modal-dialog.signUpform {
        width: 500px;
        top: 120px;
    }

    .modal.in .modal-dialog.roominquiryForm {
        width: 500px;
        top: 120px;
    }
}

@media screen and (max-width: 1800px) and (min-width: 1750px) {
    .modal.in .modal-dialog {
        width: 350px;
        top: 120px;
    }
}

@media only screen and (max-device-width: 1930px) and (min-device-width: 2030px) {
    .modal.in .modal-dialog {
        width: 350px;
        top: 120px;
    }
}

@media only screen and (max-device-width: 1024px) and (min-device-width: 768px) {
    .modal.in .modal-dialog {
        width: 350px;
        top: 120px;
    }
}

@media only screen and (max-device-width: 766px) {

    /********* Start Added By Abhishek for Cancellation and Extra Mattress Module on 25-06-2021  *******/
    .cancellation {
        width: 100% !important;
    }

    /********* End Added By Abhishek for Cancellation and Extra Mattress Module on 25-06-2021  *******/
}

@media (max-width: 360px) {
    .cancellation {
        width: 100% !important;
    }

    .innerPageBannerBox {
        width: 100%;
        float: left;
        height: auto;
        position: relative;
        margin: 100px 0 0px 0;
    }

    .dsname {
        font-size: 16px;
        font-weight: bold;
    }

    .detailsMainBox {
        width: 100%;
        float: left;
        height: auto;
        margin: 0 0 40px 0;
        top: 0 !important;
    }

    .titleMainBox {
        width: 100%;
        float: left;
        height: 80px;
        background-color: #fcf3f3;
        position: relative;
        /* margin-top: 100px; */
    }

    /* .titleMainBox .container .titleNameBox ul li:not(:nth-child(4)){
        display: none; //li:not(:nth-child(3))
    } */

    .titleMainBox .container .titleNameBox ul li:last-child a {
        text-overflow: ellipsis;
        overflow: hidden;
        width: 160px;
        white-space: nowrap;
    }

    .searchRoomBox {
        width: 100% !important;
    }
}

@media (max-width: 600px) {

    /********* Start Added By Abhishek for Cancellation and Extra Mattress Module on 25-06-2021  *******/
    .cancellation {
        width: 100% !important;
    }

    /********* End Added By Abhishek for Cancellation and Extra Mattress Module on 25-06-2021  *******/

    .dsname {
        font-size: 16px !important;
        font-weight: bold;
    }

    .detailsMainBox {
        width: 100%;
        float: left;
        height: auto;
        margin: 20px 0 40px 0;
        top: 0 !important;
    }

    .titleMainBox {
        width: 100%;
        float: left;
        height: 80px;
        background-color: #fcf3f3;
        position: relative;
        /* margin-top: 100px; */
    }

    /* .titleMainBox .container .titleNameBox ul li:not(:nth-child(4)){
        display: none;
    } */

    .titleMainBox .container .titleNameBox ul li:last-child a {
        text-overflow: ellipsis;
        overflow: hidden;
        width: 115px;
        white-space: nowrap;
    }

    .ui-dialog.ui-widget.ui-widget-content.ui-corner-all.ui-front.ui-dialog-buttons.ui-draggable.ui-resizable {
        width: 95% !important;
    }

    .ui-dialog .ui-dialog-title {
        font-size: 15px;
        white-space: normal !important;
    }

    .ui-dialog-buttonpane.ui-widget-content.ui-helper-clearfix {
        margin-top: 0;
        padding: 0;
    }

    .searchRoomBox {
        width: 100% !important;
    }
}

.owl-carousel .owl-dots {
    bottom: 0px !important;
    z-index: 100000 !important;
}

.owl-carousel .owl-dots .owl-dot.active {
    background: #ff6e00 !important;
}

.owl-carousel .owl-dots .owl-dot {
    background: #092546 !important;
}

.hotelphone {
    font-size: 22px;
    margin: 0 7px 0 3px;
    color: #a18355;
}

/* New Calendar CSS by Satyam on 14-03-2022 */
.ui-datepicker {
    width: 17em;
    padding: 0.1em 0.1em 0;
    display: none;
    background: white;
    border: 1px solid lightgray;
}

.ui-widget-header {
    background: #092546;
    border: 1px solid #092546;
}

.ui-datepicker .ui-datepicker-title {
    margin: 0 2.3em;
    line-height: 1.8em;
    text-align: center;
    color: #ffffff;
    background: #092546;
}

.ui-datepicker table {
    width: 100%;
    font-size: 0.7em;
    border-collapse: collapse;

    margin: 0 0 0.4em;
    color: #000000;
    background: #ffffff;
}

.ui-datepicker td {
    border: 1px solid lightgrey !important;
    padding: 1px;
}

.ui-datepicker td span,
.ui-datepicker td a {
    display: block;
    padding: 0.8em;
    text-align: right;
    text-decoration: none;
}

.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
    color: #092546;
}

.holiday_highlights::after {
    position: relative;
    height: 1.25em;
    color: #ff6e00;
    margin-top: -1.25em;
    display: block;
    text-align: center;
    padding-right: 0.25em;
    content: "\2022";
    font-weight: bold;
}

.ul_festive_list {
    color: #092546;
    padding-left: 5px;
    position: relative;
    list-style: none;

    font-size: 15px;
}

.ul_festive_list li::before {
    content: "\2022";
    color: #ff6e00;
    font-weight: bold;
    display: inline-block;
    width: 1em;
    font-size: 18px;
}

.detailsMainBox .YT-Review-Mainbox {
    width: 100%;
    float: left;
    height: auto;
}

.detailsMainBox .YT-Review-Mainbox h2 {
    margin: 0 0 15px 0;
    padding: 0;

    font-size: 20px;
    color: #000;
}

.YT-Review-video {
  margin-bottom: 30px;
  margin-bottom: 30px;
  border: 2px solid #e9e9e9;
  padding: 12px;
  border-radius: 10px;
}

.YT-Review-video label {
  background: linear-gradient(180deg, #8e355e 0%, #632240 100%);
  color: white;
  text-align: center;
  /* border: 1px solid #092546; */
  margin-top: 2px;
}

.YT-Review-video i {
    cursor: pointer;
    font-size: 4em;
    color: red;
    position: absolute;
    left: 40%;
    background: white;
    bottom: 50%;
    border-radius: 28px;
}

.YT-Review-video iframe {
    height: 168px;
    width: 100%;
}

#ABD_PopUp_Box .btn {
    padding: 2px;
    width: auto;
    min-width: 25%;
}

#ABD_PopUp_Box .modal-header {
    background: #ff6e00;
    padding: 10px;
}

#ABD_PopUp_Box .modal-body {
    padding: 10px;
}

#ABD_PopUp_Box .modal-body p {
    color: #092546;
    font-size: 14px;
    font-weight: bold;
    margin-top: 0px;
}

#ABD_PopUp_Box .modal-open .modal {
    display: flex !important;
    height: 100%;
}

#ABD_PopUp_Box .modal-open .modal .modal-dialog {
    margin: auto;
}

#ABD_PopUp_Box .modal-footer .btn-success {
    background: #ff6e00;
    border-color: #ff6e00;
}

#ABD_PopUp_Box .modal-footer p {
    font-size: 10px;
}

.fest-fp-event {
  position: absolute;
  width: 3px;
  height: 3px;
  border-radius: 150px;
  /* bottom: 3px; */
  top: 3px;
  left: calc(50% - 1.5px);
  content: " ";
  display: block;
  background: blue;
}

.fp-event-d-class {
    background: #ff6e0059;
    margin: 5px;
    padding: 2px 5px 2px 5px;
    border-radius: 10px;
    font-size: 12px;
}

.inv-sold-out {
    background: #f56464 !important;
}

.inv-available {
    background: #ddf5dd !important;
}

.flatpickr-day.selected {
    color: #393939 !important;
}

.flatpickr-day .inv-price {
    position: absolute;
    bottom: -14px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 0.6em;
    color: #333333bd;
}

.availability-inv-indicator {
    display: flex;
    justify-content: space-between;
    padding: 0 10px;
    margin-top: 10px;
}

.inv-indicator {
    display: flex;
    align-items: center;
}

.inv-indicator.available::before {
    content: "";
    width: 10px;
    height: 10px;
    background-color: #ddf5dd;
    display: inline-block;
    margin-right: 5px;
    border-radius: 50%;
}

.inv-indicator.sold-out::before {
    content: "";
    width: 10px;
    height: 10px;
    background-color: #f56464;
    display: inline-block;
    margin-right: 5px;
    border-radius: 50%;
}

.pr-room-name {
    font-size: 14px !important;
}

.room-size-section {
    border-top: 1px dashed lightgrey;
    margin-top: 5px !important;
    width: fit-content !important;
}

.room-size-section span {}

.room-size-section img {
    float: left;
    height: 22px;
    width: 22px;
    margin-right: 3px;
    margin-left: -3px;
}

.propertyRules-main-box h3 {
    margin: 0px 0px 10px 0px;

    color: #18171d;
    font-size: 18px;
}

.property-special-note {
    color: #18171d;
    font-size: 15px;
    font-weight: 500;
}

.custom-rules-section .rules-list {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 15px;
}

.rules-list button {
    padding: 6px 12px;
    border: 1px solid #d8d8d8;
    background: #fff;
    color: #000;
    border-radius: 5px;
    font-size: 14px;
}

.rules-read-all {
    background: none !important;
    border: 0 !important;
    color: #6a0031 !important;
    font-size: 14px;
    font-weight: 700 !important;
    outline: 0 !important;
    transition: all 0.3s ease;
}

.rule-btn:hover {
    background-color: #e9ecef;
}

.custom-rules-modal .modal-header {
    position: sticky;
    top: 0;
    z-index: 1050;
    background-color: #fff;
    border-bottom: 1px solid #ddd;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
}

.custom-rules-modal .close {
    font-size: 24px;
    font-weight: 700;
    color: #000;
    opacity: 0.5;
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    line-height: 1;
}

.custom-rules-modal .close:hover {
    opacity: 1;
}

.custom-rules-modal .modal-title {
    font-weight: bold;
    margin: 0;
    line-height: 1.42857143;
    font-size: 20px;
    width: 95%;
}

.custom-rules-modal .modal-body {
    padding: 0;
    max-height: 80vh;
    overflow-y: auto;
}

.rules-tab-header {
    display: flex;
    gap: 10px;
    border-bottom: 2px solid #f5f5f5;
    padding-bottom: 8px;
    font-weight: bold;
    flex-wrap: nowrap;
    overflow-x: auto;
    white-space: nowrap;
    padding-left: 5px;
    background: white;
    position: sticky;
    top: 0;
    z-index: 1000;
    transition: all 0.3s;
    scrollbar-width: none;
}

.custom-rules-modal .tab-link {
    padding: 12px 20px;
    cursor: pointer;
    border-bottom: 3px solid transparent;
    font-weight: 500;
    text-align: center;
    transition: all 0.2s ease;
}

.custom-rules-modal .tab-link:hover {
    background-color: #f1f1f1;
}

.custom-rules-modal .tab-link.active {
    border-bottom: 3px solid #6a0031;
    color: #6a0031;
    background-color: #fff;
}

.custom-rules-modal #rulesContent {
    padding: 20px;
}

.custom-rules-modal .rule-section {
    margin-bottom: 25px;
}

.custom-rules-modal .rule-section p {
    margin-top: 0;
    margin-bottom: 15px;
    font-size: 18px;
    font-weight: 600;
    color: #333;
}

.custom-rules-modal .rule-section ul {
    padding-left: 20px;
}

.custom-rules-modal .rule-section li {
    margin-bottom: 8px;
}

.custom-rules-modal .rule-section.highlight {
    animation: highlight-fade 2s ease-out;
}

.facilityMainBox {
    margin-bottom: 0px !important;
}

@keyframes highlight-fade {
    0% {
        background-color: rgba(211, 211, 211, 0.4);
    }

    100% {
        background-color: transparent;
    }
}

.propertyRules-main-box {
    border-radius: 14px;
    border: 1px solid #dadada;
    padding: min(1em, 3%);
    color: #3f3f47;
    margin-bottom: 22px;
    margin: 10px 0px 20px 0px;
    display: flex;
    flex-direction: row;
}

.vertical-line {
    width: 1.5px;
    background-color: #d5d5d5;
    height: auto;
    padding: 0px;
}

.addr-contact-section {
    display: flex;
    flex-direction: row;
    border-radius: 14px;
    border: 1px solid #dadada;
    padding: min(1em, 3%);
    margin: 0px 0px 10px 0px;
}

/* .roomMainBox h2 {
  margin-top: 0px;
} */

.rules-tab-header.sticky {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    padding: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    scroll-behavior: smooth;
}

.check-in-out-note {
    display: flex;
    justify-content: space-around;
    border-radius: 4px;
    background: linear-gradient(180deg, #fbf1f4 -11.67%, #ffe1ea 100%);
    padding: 6px 12px;
}

.check-in-out-note span {
    font-weight: 500;
    color: #18171d;
}

.check-in-out-note p {
    margin: 0px;
    line-height: normal;
}

@media (max-width: 768px) {
    .propertyRules-main-box {
        flex-direction: column;
    }

    .custom-rules-modal .modal-dialog {
        max-width: 95%;
        margin: 20px auto;
    }

    .custom-rules-modal .modal-body {
        max-height: 60vh;
        overflow-y: auto;
    }

    .custom-rules-modal .tab-header {
        flex-wrap: nowrap;
        overflow-x: auto;
        padding-left: 5px;
    }

    .custom-rules-modal .tab-header div {
        font-size: 13px;
        padding: 6px 10px;
    }

    .addr-contact-section {
        flex-direction: column;
    }

    .tab-link {
        font-size: 13px;
        padding: 6px 10px;
    }
}

@media (max-width: 992px) {
    .vertical-line {
        display: none !important;
    }

    .left-section {
        margin: 0 0 10px 0 !important;
    }
}

@media (max-width: 425.98px) {
    .check-in-out-note p {
        font-size: small;
    }

    .check-in-out-note {
        justify-content: flex-start;
        flex-wrap: wrap;
    }

    .vertical-line-reverse {
        width: 100%;
        display: block;
        height: 1px;
        margin-bottom: 10px;
    }
}

.toast {
    position: fixed;
    bottom: 20px;
    left: 20px;
    width: auto;
    padding: 16px;
    border-radius: 8px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.15);
    display: flex;
    align-items: center;
    gap: 14px;
    transform: translateY(100px);
    opacity: 0;
    animation: slideIn 0.3s ease-out forwards;
    z-index: 9999;
    background: white;
    border-left: 4px solid;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
        Ubuntu, Cantarell, sans-serif;
}

.toast.info {
    border-color: #2196f3;
    background-color: #e1f6ff;
}

.toast.icon {
    font-size: 22px;
    margin-top: 2px;
}

.toast.info.icon {
    color: #2196f3;
}

.toast.content {
    flex: 1;
}

.toast.close {
    margin-left: 8px;
    background: transparent;
    border: none;
    color: #999;
    cursor: pointer;
    font-size: 16px;
    transition: color 0.2s;
}

.toast.close:hover {
    color: #555;
}

.toast-message {
    font-size: 15px;
    color: #333;
    display: flex;
    align-items: center;
    gap: 4px;
    white-space: nowrap;
}

.toast-message strong {
    font-weight: 700;
    color: #000;
    font-size: 16px;
}

.truncate {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    width: 225px;
}

@keyframes slideIn {
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

h2 {
  font-size: 22px;
  margin-bottom: 15px;
}

.search-bar {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-bottom: 20px;
}

.search-bar input,
.search-bar button {
    padding: 10px;
    font-size: 14px;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.search-bar button {
    background: #ff6600;
    color: white;
    border: none;
    cursor: pointer;
}

table {
    width: 100%;
    border-collapse: collapse;
    background: #fff;
}

thead {
  /* background: linear-gradient(to right, #fff0e6, #fff); */
  background: linear-gradient(
    180deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(255, 240, 232, 1) 100%
  );
}

th {
    text-align: left;
    padding: 15px !important;
    font-size: 14px;
    color: #ff6600 !important;
    background-color: #fff7f3 !important;
}

td {
    padding: 15px;
    vertical-align: middle;
    border-top: 1px solid #eee;
}

.inclusions {
    color: #ff6600;
    font-size: 14px;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.inclusions i {
    margin-right: 5px;
}

.guests {
    font-size: 14px;
    color: #555;
}

/* 
.price {
  font-size: 18px;
  font-weight: 550;
} */

.price small {
    display: block;
    font-size: 12px;
    color: #666;
}

.book-btn {
    background: linear-gradient(to right, #ff6600, #ff3300);
    color: white;
    border: none;
    padding: 10px 15px;
    border-radius: 5px;
    cursor: pointer;
    font-weight: bold;
    white-space: nowrap;
}

@media (max-width: 768px) {

    table,
    thead,
    tbody,
    th,
    td,
    tr {
        display: block;
    }

    th {
        display: none;
    }

    td {
        /* border: none; */
        padding: 10px 5px;
    }

    tr {
        margin-bottom: 15px;
        border: 1px solid #eee;
        border-radius: 8px;
        padding: 10px;
    }

    .book-btn {
        width: 100%;
        margin-top: 10px;
    }
}

.detailsMainBox {
    width: 100%;
    float: left;
    height: auto;
    margin: 0 0 40px 0;
}

.detailsMainBox .bookthisroom .selectDropBox .htmlSelect {
    width: 100%;
}

.detailsMainBox .bookthisroom p {
    font-size: 14px;
    color: #000;
    margin: 0 0 15px 0;
}

.detailsMainBox .bookthisroom .btnprimary {
    width: auto;
    height: auto;
    border: none;
    background: #ff6e00;

    font-size: 14px;
    color: #fff;
    padding: 5px 10px 7px;
    text-align: center;
    line-height: 22px;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.detailsMainBox .bookthisroom .btnprimary:hover {
    background: #a18355;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.detailsMainBox .bookthisroom .btnsecondary {
    width: auto;
    height: auto;
    border: solid 1px #ff6e00;
    background: 0 0;

    font-size: 14px;
    color: #ff6e00;
    padding: 5px 10px 7px;
    text-align: center;
    line-height: 22px;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.detailsMainBox .bookthisroom .btnsecondary:hover {
    background: #ff6e00;
    color: #fff;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.detailsMainBox .detailsBox {
    width: 100%;
    float: left;
    height: auto;
}

.detailsMainBox .detailsBox .bhavansGalleryBox {
    width: 100%;
    float: left;
    height: auto;
    margin: 0 0 40px 0;
}

@media (min-width: 768px) {
    .detailsMainBox {
        width: 100%;
        float: left;
        height: auto;
        margin: 20px 0 40px 0;
    }

    .innerPageBannerBox {
        width: 100%;
        float: left;
        height: auto;
        position: relative;
    }
}

@media (max-width: 1200px) {
    .detailsMainBox .detailsBox .bhavansGalleryBox {
        margin: 0 0 20px 0;
    }
}

.detailsMainBox .detailsBox .detailsIcon {
    width: 22px;
    float: left;
    height: 22px;
    margin: 0 10px 0 0;
    background: url(../images/details-sprite.png) left top no-repeat;
}

.detailsMainBox .detailsBox .detailsIcon.addressIcon {
    background-position: 0 0;
}

.detailsMainBox .detailsBox .detailsIcon.mailIcon {
    background-position: 0 -22px;
}

.detailsMainBox .detailsBox .detailsIcon.checkInIcon {
    background-position: 0 -44px;
}

.detailsMainBox .detailsBox .detailsIcon.checkOutIcon {
    background-position: 0 -66px;
}

.detailsMainBox .detailsBox .detailsIcon.foodFacilityIcon {
    background-position: 0 -88px;
}

.detailsMainBox .detailsBox .detailsIcon.parkingIcon {
    background-position: 0 -110px;
}

.detailsMainBox .detailsBox .detailsIcon.attachedToiletIcon {
    background-position: 0 -132px;
}

.detailsMainBox .detailsBox .detailsIcon.hotWaterIcon {
    background-position: 0 -154px;
}

.detailsMainBox .detailsBox .detailsIcon.gardenIcon {
    background-position: 0 -176px;
}

.detailsMainBox .detailsBox .detailsIcon.cctvIcon {
    background-position: 0 -198px;
}

.detailsMainBox .detailsBox .detailsIcon.liftIcon {
    background-position: 0 -220px;
}

.detailsMainBox .detailsBox .detailsIcon.wifiIcon {
    background-position: 0 -242px;
}

.detailsMainBox .detailsBox .detailsIcon.drinkingWaterIcon {
    background-position: 0 -264px;
}

.detailsMainBox .detailsBox .detailsIcon.lcdTvIcon {
    background-position: 0 -286px;
}

.detailsMainBox .detailsBox .detailsIcon.geyserIcon {
    background-position: 0 -308px;
}

.detailsMainBox .detailsBox .addressBox {
    width: 100%;
    float: left;
    height: auto;
    /* margin: 0 0 10px 0; */
}

.detailsMainBox .detailsBox .addressBox p {
    margin: 0;

    font-size: 14px;
    color: #000;
}

.detailsMainBox .detailsBox .addressBox p a {
    color: #000;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.detailsMainBox .detailsBox .addressBox p a:hover {
    color: #ff6e00;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.detailsMainBox .detailsBox .facilityMainBox {
    width: 100%;
    float: left;
    height: auto;
    padding: 15px 0 5px;
    margin: 0 0 20px 0;
    /* border-top: solid 1px #ebebeb;
  border-bottom: solid 1px #ebebeb; */
}

.detailsMainBox .detailsBox .facilityMainBox ul {
    width: 50%;
    float: left;
    height: auto;
    margin: 0;
    padding: 0;
    list-style: none;
}

.detailsMainBox .detailsBox .facilityMainBox ul li {
    width: 100%;
    float: left;
    height: auto;
    margin: 0 0 10px 0;

    font-size: 14px;
    color: #000;
    line-height: 22px;
}

.detailsMainBox .detailsBox .facilityMainBox ul li .facilityLabel {
    width: auto;
    float: left;
    height: auto;
    margin: 0 5px 0 0;
}

.detailsMainBox .detailsBox .specialNotesBox {
    width: 100%;
    float: left;
    height: auto;
    margin: 0 0 40px 0;
}

@media (max-width: 1200px) {
    .detailsMainBox .detailsBox .specialNotesBox {
        margin: 0 0 20px 0;
    }
}

.detailsMainBox .detailsBox .specialNotesBox h6 {
    margin: 0 0 10px 0;

    font-size: 17px;
    color: #000;
    font-weight: 400;
}

.detailsMainBox .detailsBox .specialNotesBox ul {
    width: 100%;
    float: left;
    height: auto;
    margin: 0;
    padding: 0;
    list-style: none;
}

.detailsMainBox .detailsBox .specialNotesBox ul li {
    width: 100%;
    float: left;
    height: auto;
    margin: 0 0 5px 0;

    font-size: 14px;
    color: #000;
    line-height: 22px;
}

.detailsMainBox .detailsBox .specialNotesBox ul li:last-child {
    margin: 0;
}

.detailsMainBox .bhavansOverViewBox {
    width: 100%;
    float: left;
    height: auto;
    /* margin: 0 0 20px 0;
    border-bottom: solid 1px #ebebeb; */
}

.detailsMainBox .bhavansOverViewBox h3 {
  margin: 0 0 10px 0;

  font-size: 20px;
  color: #000;
}

.detailsMainBox .bhavansOverViewBox p {
    font-size: 15px;
    color: #000;
    margin: 0 0 8px 0;
}
.detailsMainBox .bhavansOverViewBox p strong {
  font-size: 17px;
  font-weight: 400;
}

.detailsMainBox .bhavansOverViewBox p a {
    color: #ff6e00;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.detailsMainBox .bhavansOverViewBox p a:hover {
    color: #a18355;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

.detailsMainBox .bhavansOverViewBox ul {
    width: 100%;
    float: left;
    height: auto;
    margin: 0 0 15px 0;
    padding: 0;
    list-style: none;
}

.detailsMainBox .bhavansOverViewBox ul li {
    font-size: 14px;
    color: #000;
    margin: 0 0 10px 0;
    letter-spacing: 0.6px;
    position: relative;
    padding: 0 0 0 15px;
}

.detailsMainBox .bhavansOverViewBox ul li::before {
    content: "\f105";
    position: absolute;
    left: 0;
    top: 0;

    font-size: 18px;
    color: #a18355;
}

.detailsMainBox .bhavansOverViewBox .MapBox {
    width: 100%;
    float: left;
    height: auto;
    padding: 1px;
    border: solid 1p #ebebeb;
}

.detailsMainBox .relatedBhavansMainBox {
    width: 100%;
    float: left;
    height: auto;
}

.detailsMainBox .relatedBhavansMainBox h2 {
    margin: 0 0 15px 0;
    padding: 0;

    font-size: 20px;
    color: #000;
}

.detailsMainBox .relatedBhavansMainBox ul {
    width: 100%;
    float: left;
    height: auto;
    margin: 0;
    padding: 0;
    list-style: none;
}

.detailsMainBox .relatedBhavansMainBox ul li {
    width: 100%;
    float: left;
    height: auto;
    margin: 0 0 20px 0;
}

@media (max-width: 992px) {
    .detailsMainBox .relatedBhavansMainBox ul li {
        width: calc(50% - 10px);
        margin: 0 20px 20px 0;
    }

    .detailsMainBox .relatedBhavansMainBox ul li:nth-child(even) {
        margin: 0 0 20px 0;
    }
}

.detailsMainBox .relatedBhavansMainBox ul li .bhavansImgBox {
    width: 100%;
    float: left;
    height: auto;
    padding: 1px;
    border: solid 1px #c2c2c2;
    position: relative;
    margin: 0 0 10px 0;
}

.detailsMainBox .relatedBhavansMainBox ul li .bhavansImgBox::before {
    content: "";
    padding-top: 200px;
    display: block;
}

@media (max-width: 767px) {
    .detailsMainBox .relatedBhavansMainBox ul li .bhavansImgBox::before {
        padding-top: 125px;
    }
}

.detailsMainBox .relatedBhavansMainBox ul li .bhavansImgBox img {
    position: absolute;
    left: 50%;
    top: 50%;
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.detailsMainBox .relatedBhavansMainBox ul li .bhavansNameBox {
    width: 100%;
    float: left;
    height: auto;
}

.detailsMainBox .relatedBhavansMainBox ul li .bhavansNameBox a {
    font-size: 16px;
    color: #000;
    line-height: 22px;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

@media (max-width: 767px) {
    .detailsMainBox .relatedBhavansMainBox ul li .bhavansNameBox a {
        font-size: 14px;
        line-height: 18px;
    }
}

.detailsMainBox .relatedBhavansMainBox ul li:hover .bhavansNameBox a {
    color: #ff6e00;
    -webkit-transition: 0.5s;
    -o-transition: 0.5s;
    transition: 0.5s;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

/* new review css */
.review-section {
    text-align: center;
    padding: 40px 0;
}

.review-title {
    font-size: 28px;
    font-weight: 600;
    color: #6a1b3b;
    margin-bottom: 15px;
}

.rating-score {
    font-size: 48px;
    font-weight: bold;
    color: #6a1b3b;
}

.rating-box img {
    height: 40px;
}

.review-card {
    /* background: linear-gradient(180deg, #fffaf8, #ffeceb); */
    background: linear-gradient(180deg,
            rgba(255, 255, 255, 1) 0%,
            rgba(255, 240, 232, 1) 100%);
    border-radius: 16px;
    padding: 20px;
    text-align: left;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.05);
}

.review-author-img {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    object-fit: cover;
    margin-right: 10px;
}

.review-title-text {
    font-weight: 700;
    color: #6a1b3b;
    margin-bottom: 0;
}

.review-name {
    font-size: 14px;
    color: #666;
    margin-bottom: 5px;
}

.stars i {
    color: #ffb400;
}

.yd_review_slide {
    overflow-x: auto;
    display: flex;
    flex-wrap: nowrap;
    scrollbar-width: none;
    /* Firefox */
    -ms-overflow-style: none;
    /* Internet Explorer / Edge */
}

/* Chrome, Safari, Opera */
.yd_review_slide::-webkit-scrollbar {
    display: none;
}

.reviewcus {
    font-size: 18px;
    color: #5b5b5b;
}

.paginationMainBox {
    width: auto;
    height: auto;
    margin: 0 14px 0 0;
}

.paginationMainBox .pagination {
    margin: 0;
}

.paginationMainBox .pagination li.current {
    /* font-family: sfprodisplaysemibold; */
    font-size: 14px;
    border: none;
    background: #ff6e00;
    color: #fff;
    padding: 6px 12px;
}

.paginationMainBox .pagination li {
    width: auto;
    float: none;
    padding: 0;
    display: inline-block;
    vertical-align: top;
}

.reviewpager::before {
    display: none;
}

.detailsMainBox .bhavansOverViewBox ul li {
    /* font-family: sfprodisplayregular; */
    font-size: 14px;
    color: #000;
    margin: 0 0 10px 0;
    letter-spacing: 0.6px;
    position: relative;
    padding: 0 15px 0 15px;
}

.pagination>li>a:focus,
.pagination>li>a:hover,
.pagination>li>span:focus,
.pagination>li>span:hover {
    z-index: 2;
    color: #23527c;
    background-color: #ff6e00;
    border-color: #fff;
    text-decoration-color: #fff;
    /*end css*/
}

/* add by deep on 09-08-2024 */
.owl-item {
    min-height: 0 !important;
}

.active-page-link {
    color: #fff !important;
    background-color: #ff6e00 !important;
}

/* Start Updated By Deep On 21-05-2025 */
.custom-pagination {
    margin: 20px 0;
}

.pagination-list {
    display: inline-block;
    padding: 0;
    margin: 0 0 10px 0;
    list-style: none;
}

.pagination-list li {
    display: inline;
    margin: 0 2px;
}

.pagination-list a,
.pagination-list span {
    color: #333;
    padding: 6px 12px;
    text-decoration: none;
    border: 1px solid #ddd;
    background: #fff;
    display: inline-block;
    border-radius: 3px;
}

.pagination-list a:hover {
    background: #ff6e00;
    color: #fff;
}

.pagination-list .current {
    background: #ff6e00;
    color: #fff;
    border-color: #ff6e00;
}

.pagination-info {
    color: #666;
    font-size: 14px;
}

.ellipsis {
    padding: 5px 5px;
}

.detailsMainBox .bhavansOverViewBox ul li::before {
    display: none;
}

.review-user-img {
    width: 35px;
    margin: 0 8px 0 0;
}

.review-title {
    color: #18171d;
    margin: 0 !important;
    font-weight: 600;
    font-size: 18px !important;
}

.review-span {
    color: #3f3f47;
    font-weight: 500;
    font-size: 16px;
}

dd {
    color: #71717b;
    font-weight: 400;
    margin: 5px 0 0 0;
    font-size: 14px;
    width: 50%;
}

/* Enhanced Review Form - Bootstrap 5.3.2 Compatible */
fieldset {
    background: #fff;
    border-color: #dee2e6 !important;
}

fieldset legend {
    font-size: 1rem;
    color: #ff7a30;
    background: #fff;
    border-radius: 0.375rem;
    margin-bottom: 0;
}

.form-floating>.form-control:focus~label,
.form-floating>.form-control:not(:placeholder-shown)~label {
    color: #0d6efd;
}

.form-floating>.form-control:is(.is-invalid)~label {
    color: #dc3545;
}

.form-floating>textarea.form-control {
    height: 140px;
    resize: none;
}

/* Optional: Add subtle focus glow */
.form-control:focus,
.form-control.is-invalid:focus {
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25);
}

@media only screen and (max-width: 568px) {
    .review-user-img {
        width: 30px;
    }

    .review-title {
        font-size: 16px !important;
    }

    .review-span {
        font-size: 14px !important;
    }

    dd {
        width: auto;
        font-size: 12px !important;
    }
}

.card-img-custom {
    /* width: 100%; */
    aspect-ratio: 4 / 3;
    /* maintains width:height proportion */
    object-fit: cover;
    /* crops without stretching */
    border-radius: 8px;
}

.close {
    float: right;
    font-size: 21px;
    font-weight: 700;
    line-height: 1;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: 1;
}

.close:focus,
.close:hover {
    color: #000;
    text-decoration: none;
    cursor: pointer;
    opacity: 0.5;
}

button.close {
    padding: 0;
    cursor: pointer;
    background: 0 0;
    border: 0;
    -webkit-appearance: none;
}

.modal-header .close {
    margin-top: -6px;
    color: #000;
    font-size: 28px;
}

.selectDropBox .htmlSelect .dropArrow {
    width: 38px;
    height: 34px;
    position: absolute;
    right: 0;
    bottom: 0;
    z-index: 0;
    padding: 2px 0;
    text-align: center;
}

.selectDropBox .htmlSelect .dropArrow::before {
    content: "\F107";
    font-family: FontAwesome;
    font-size: 20px;
    color: #d8d8d8;
}

#rooms,
#guests {
    appearance: none;
    /* Removes default arrow in modern browsers */
    -webkit-appearance: none;
    /* Chrome, Safari, Edge */
    -moz-appearance: none;
    /* Firefox */
    background: none;
    /* Remove background */
    padding-right: 0;
    /* Adjust spacing */
    border: 1px solid #ccc;
    /* Keep border if needed */
}

/* Optional: prevent extra space where arrow was */
#rooms,
#guests::-ms-expand {
    display: none;
    /* Removes arrow in Internet Explorer / Edge Legacy */
}